#include "CivInpDirector.h"
#include "CivBuilder.h"

void CivInpDirector::create(CivBuilder* builder)
{
	builder->buildNode();
	builder->buildPipe();
	builder->buildTank();
	builder->buildReservoir();
	builder->buildPump();
	builder->buildVavle();
	builder->buildEmitter();
	builder->buildPatterns();
	builder->buildParamter();
	builder->buildCoordnates();
	builder->buildVertices();
	builder->buildLabels();
	builder->buildTags();
	builder->buildBackDrop();
	builder->buildQuality();
	builder->buildSources();
	builder->buildMixing();
	builder->buildCurves();
	builder->buildStatus();
	builder->buildControls();
	builder->buildRules();
	builder->buildDemands();
}